Index: /LMDZ5/branches/testing/libf/phylmd/ini_wake.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/ini_wake.F90	(revision 2219)
+++ /LMDZ5/branches/testing/libf/phylmd/ini_wake.F90	(revision 2220)
@@ -4,4 +4,5 @@
 SUBROUTINE ini_wake(wape, fip, it_wape_prescr, wape_prescr, fip_prescr, &
     alp_bl_prescr, ale_bl_prescr)
+  IMPLICIT NONE
   ! **************************************************************
   ! *
@@ -39,7 +40,10 @@
   include 'iniprint.h'
   ! declarations
+  REAL wape, fip, wape_prescr, fip_prescr
+  INTEGER it_wape_prescr
   REAL ale_bl_prescr
   REAL alp_bl_prescr
   REAL it
+  REAL w,f,alebl,alpbl
 
   ! FH A mettre si besoin dans physiq.def
Index: /LMDZ5/branches/testing/libf/phylmd/limit_read_mod.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/limit_read_mod.F90	(revision 2219)
+++ /LMDZ5/branches/testing/libf/phylmd/limit_read_mod.F90	(revision 2220)
@@ -93,5 +93,6 @@
 !****************************************************************************************
 
-    IF (type_ocean == 'couple') THEN
+IF (type_ocean == 'couple'.OR. &
+         (type_ocean == 'slab' .AND. version_ocean == 'sicINT')) THEN
        ! limit.nc has not yet been read. Do it now!
        CALL limit_read_tot(itime, dtime, jour, is_modified)
Index: /LMDZ5/branches/testing/libf/phylmd/limit_slab.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/limit_slab.F90	(revision 2219)
+++ /LMDZ5/branches/testing/libf/phylmd/limit_slab.F90	(revision 2220)
@@ -1,5 +1,5 @@
 ! $Header$
 
-SUBROUTINE limit_slab(itime, dtime, jour, lmt_bils, diff_sst)
+SUBROUTINE limit_slab(itime, dtime, jour, lmt_bils, diff_sst, diff_siv)
 
   USE dimphy
@@ -20,10 +20,11 @@
   INTEGER, INTENT(IN) :: jour    ! jour a lire dans l'annee
   REAL   , INTENT(IN) :: dtime   ! pas de temps de la physique (en s)
-  REAL, DIMENSION(klon), INTENT(OUT) :: lmt_bils, diff_sst
+  REAL, DIMENSION(klon), INTENT(OUT) :: lmt_bils, diff_sst, diff_siv
 
 ! Locals variables with attribute SAVE
 !****************************************************************************************
   REAL, DIMENSION(:), ALLOCATABLE, SAVE :: bils_save, diff_sst_save
-!$OMP THREADPRIVATE(bils_save, diff_sst_save)
+  REAL, DIMENSION(:), ALLOCATABLE, SAVE :: diff_siv_save
+!$OMP THREADPRIVATE(bils_save, diff_sst_save, diff_siv_save)
 
 ! Locals variables
@@ -33,6 +34,7 @@
   INTEGER, DIMENSION(2)    :: start, epais 
   REAL, DIMENSION(klon_glo):: bils_glo, sst_l_glo, sst_lp1_glo, diff_sst_glo
+  REAL, DIMENSION(klon_glo):: siv_l_glo, siv_lp1_glo, diff_siv_glo
   CHARACTER (len = 20)     :: modname = 'limit_slab'
-  LOGICAL                  :: read_bils,read_sst
+  LOGICAL                  :: read_bils,read_sst,read_siv
 
 ! End declaration
@@ -49,4 +51,5 @@
         read_bils=.TRUE.
         read_sst=.TRUE.
+        read_siv=.TRUE.
         
         ierr = NF90_OPEN ('limit_slab.nc', NF90_NOWRITE, nid)
@@ -54,4 +57,5 @@
             read_bils=.FALSE.
             read_sst=.FALSE.
+            read_siv=.FALSE.
         ELSE ! read file
         
@@ -63,5 +67,5 @@
 
 !****************************************************************************************
-! 2) Read bils and SST tendency
+! 2) Read bils and SST/ ice volume tendency
 !
 !****************************************************************************************
@@ -89,4 +93,19 @@
         END IF
 
+! Read siv_glo for this day
+        ierr = NF90_INQ_VARID(nid, 'SICV', nvarid)
+        IF (ierr /= NF90_NOERR)  THEN
+            read_siv=.FALSE.
+        ELSE
+            start(2) = jour
+            ierr = NF90_GET_VAR(nid,nvarid,siv_l_glo,start,epais)
+            IF (ierr /= NF90_NOERR) read_siv=.FALSE.
+! Read siv_glo for one day ahead
+            start(2) = jour + 1
+            IF (start(2) > 360) start(2)=1
+            ierr = NF90_GET_VAR(nid,nvarid,siv_lp1_glo,start,epais)
+            IF (ierr /= NF90_NOERR) read_siv=.FALSE.
+        END IF
+
 !****************************************************************************************
 ! 5) Close file and distribute variables to all processus
@@ -98,12 +117,14 @@
         IF (read_sst) THEN
 ! Calculate difference in temperature between this day and one ahead
-!            DO i=1, klon_glo-1
-!               diff_sst_glo(i) = sst_lp1_glo(i) - sst_l_glo(i)
-!            END DO
-!            diff_sst_glo(klon_glo) = sst_lp1_glo(klon_glo) - sst_l_glo(1)
             DO i=1, klon_glo
                diff_sst_glo(i) = sst_lp1_glo(i) - sst_l_glo(i)
             END DO
         END IF !read_sst
+        IF (read_siv) THEN
+! Calculate difference in temperature between this day and one ahead
+            DO i=1, klon_glo
+               diff_siv_glo(i) = siv_lp1_glo(i) - siv_l_glo(i)
+            END DO
+        END IF !read_siv
      ENDIF ! is_mpi_root
 
@@ -111,9 +132,9 @@
        
      IF (.NOT. ALLOCATED(bils_save)) THEN
-        ALLOCATE(bils_save(klon), diff_sst_save(klon), stat=ierr)
+        ALLOCATE(bils_save(klon), diff_sst_save(klon), diff_siv_save(klon), stat=ierr)
         IF (ierr /= 0) CALL abort_gcm('limit_slab', 'pb in allocation',1)
      END IF
 
-! Giveddefault values if needed
+! Give default values if needed
      IF (read_bils) THEN
          CALL Scatter(bils_glo, bils_save)
@@ -126,4 +147,9 @@
          diff_sst_save(:)=0.
      END IF
+     IF (read_siv) THEN
+         CALL Scatter(diff_siv_glo, diff_siv_save)
+     ELSE
+         diff_siv_save(:)=0.
+     END IF
      
   ENDIF ! time to read
@@ -131,4 +157,6 @@
   lmt_bils(:) = bils_save(:)
   diff_sst(:) = diff_sst_save(:)
+  diff_siv(:) = diff_siv_save(:)
+
   
 END SUBROUTINE limit_slab
Index: /LMDZ5/branches/testing/libf/phylmd/lmdz1d.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/lmdz1d.F90	(revision 2219)
+++ /LMDZ5/branches/testing/libf/phylmd/lmdz1d.F90	(revision 2220)
@@ -22,4 +22,5 @@
       USE phyaqua_mod
       USE mod_1D_cases_read
+      USE mod_1D_amma_read
 
       implicit none
@@ -118,4 +119,5 @@
         logical :: forcing_astex   = .false.
         logical :: forcing_fire    = .false.
+        logical :: forcing_case    = .false.
         integer :: type_ts_forcing ! 0 = SST constant; 1 = SST read from a file
 !                                                            (cf read_tsurf1d.F)
@@ -171,4 +173,5 @@
       real :: dt_cooling(llm),d_th_adv(llm),d_t_nudge(llm)
       real :: d_u_nudge(llm),d_v_nudge(llm)
+      real :: du_adv(llm),dv_adv(llm)
       real :: alpha
       real :: ttt
@@ -285,4 +288,7 @@
 !             Different stages: soil model alone, atm. model alone
 !             then both models coupled
+!forcing_type = 10 ==> forcing_case = .true.
+!             initial profiles and large scale forcings in cas.nc
+!             LS convergence, omega and SST imposed from CINDY-DYNAMO files 
 !forcing_type = 40 ==> forcing_GCSSold = .true.
 !             initial profile from GCSS file
@@ -321,4 +327,6 @@
       elseif (forcing_type .eq.7) THEN
        forcing_dice = .true.
+      elseif (forcing_type .eq.10) THEN
+       forcing_case = .true.
       elseif (forcing_type .eq.40) THEN
        forcing_GCSSold = .true.
@@ -428,4 +436,11 @@
      & (year_ini_dice,mth_ini_dice,day_ini_dice,heure_ini_dice             & 
      & ,day_ju_ini_dice)
+      ELSEIF (forcing_type .eq.10) THEN
+! Convert the initial date to Julian day
+      print*,'time cindy',year_ini_cas,mth_ini_cas,day_ini_cas
+      call ymds2ju                                                         &
+     & (year_ini_cas,mth_ini_cas,day_ini_cas,heure_ini_cas &
+     & ,day_ju_ini_cas)
+      print*,'time cindy 2',day_ju_ini_cas
       ELSEIF (forcing_type .eq.59) THEN
 ! Convert the initial date of Sandu case to Julian day
@@ -943,9 +958,9 @@
         u(1:mxcalc)=u(1:mxcalc) + timestep*(                                &
      &              du_phys(1:mxcalc)                                       &
-     &             +du_age(1:mxcalc)                                        &
+     &             +du_age(1:mxcalc)+du_adv(1:mxcalc)                       &
      &             +d_u_nudge(1:mxcalc) )            
         v(1:mxcalc)=v(1:mxcalc) + timestep*(                                 &
      &              dv_phys(1:mxcalc)                                       &
-     &             +dv_age(1:mxcalc)                                        &
+     &             +dv_age(1:mxcalc)+dv_adv(1:mxcalc)                       &
      &             +d_v_nudge(1:mxcalc) )
         q(1:mxcalc,:)=q(1:mxcalc,:)+timestep*(                              &
Index: /LMDZ5/branches/testing/libf/phylmd/mod_1D_amma_read.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/mod_1D_amma_read.F90	(revision 2220)
+++ /LMDZ5/branches/testing/libf/phylmd/mod_1D_amma_read.F90	(revision 2220)
@@ -0,0 +1,500 @@
+MODULE mod_1D_amma_read
+
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+!Declarations specifiques au cas AMMA
+        character*80 :: fich_amma
+! Option du cas AMMA ou on impose la discretisation verticale (Ap,Bp)
+        integer nlev_amma, nt_amma
+
+
+        integer year_ini_amma, day_ini_amma, mth_ini_amma
+        real heure_ini_amma
+        real day_ju_ini_amma   ! Julian day of amma first day
+        parameter (year_ini_amma=2006)
+        parameter (mth_ini_amma=7)
+        parameter (day_ini_amma=10)  ! 10 = 10Juil2006
+        parameter (heure_ini_amma=0.) !0h en secondes
+        real dt_amma
+        parameter (dt_amma=1800.)
+
+!profils initiaux:
+        real, allocatable::  plev_amma(:)
+
+        real, allocatable::  z_amma(:)
+        real, allocatable::  th_amma(:),q_amma(:)
+        real, allocatable::  u_amma(:)
+        real, allocatable::  v_amma(:)
+
+        real, allocatable::  th_ammai(:),q_ammai(:)
+        real, allocatable::  u_ammai(:)
+        real, allocatable::  v_ammai(:)
+        real, allocatable::  vitw_ammai(:)
+        real, allocatable::  ht_ammai(:)
+        real, allocatable::  hq_ammai(:)
+        real, allocatable::  vt_ammai(:)
+        real, allocatable::  vq_ammai(:)
+
+!forcings
+        real, allocatable::  ht_amma(:,:)
+        real, allocatable::  hq_amma(:,:)
+        real, allocatable::  vitw_amma(:,:)
+        real, allocatable::  lat_amma(:),sens_amma(:)
+
+!champs interpoles
+        real, allocatable::  vitw_profamma(:)
+        real, allocatable::  ht_profamma(:)
+        real, allocatable::  hq_profamma(:)
+        real lat_profamma,sens_profamma
+        real, allocatable::  vt_profamma(:)
+        real, allocatable::  vq_profamma(:)
+        real, allocatable::  th_profamma(:)
+        real, allocatable::  q_profamma(:)
+        real, allocatable::  u_profamma(:)
+        real, allocatable::  v_profamma(:)
+
+
+CONTAINS
+
+SUBROUTINE read_1D_cases
+      implicit none
+
+#include "netcdf.inc"
+
+      INTEGER nid,rid,ierr
+
+      fich_amma='amma.nc'
+      print*,'fich_amma ',fich_amma
+      ierr = NF_OPEN(fich_amma,NF_NOWRITE,nid)
+      print*,'fich_amma,NF_NOWRITE,nid ',fich_amma,NF_NOWRITE,nid
+      if (ierr.NE.NF_NOERR) then
+         write(*,*) 'ERROR: GROS Pb opening forcings nc file '
+         write(*,*) NF_STRERROR(ierr)
+         stop ""
+      endif
+!.......................................................................
+      ierr=NF_INQ_DIMID(nid,'lev',rid)
+      IF (ierr.NE.NF_NOERR) THEN
+         print*, 'Oh probleme lecture dimension zz'
+      ENDIF
+      ierr=NF_INQ_DIMLEN(nid,rid,nlev_amma)
+      print*,'OK nid,rid,nlev_amma',nid,rid,nlev_amma
+!.......................................................................
+      ierr=NF_INQ_DIMID(nid,'time',rid)
+      print*,'nid,rid',nid,rid
+      nt_amma=0
+      IF (ierr.NE.NF_NOERR) THEN
+        stop 'probleme lecture dimension sens'
+      ENDIF
+      ierr=NF_INQ_DIMLEN(nid,rid,nt_amma)
+      print*,'nid,rid,nlev_amma',nid,rid,nt_amma
+
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+!profils initiaux:
+        allocate(plev_amma(nlev_amma))
+        
+        allocate(z_amma(nlev_amma))
+        allocate(th_amma(nlev_amma),q_amma(nlev_amma))
+        allocate(u_amma(nlev_amma))
+        allocate(v_amma(nlev_amma))
+
+!forcings
+        allocate(ht_amma(nlev_amma,nt_amma))
+        allocate(hq_amma(nlev_amma,nt_amma))
+        allocate(vitw_amma(nlev_amma,nt_amma))
+        allocate(lat_amma(nt_amma),sens_amma(nt_amma))
+
+!profils initiaux:
+        allocate(th_ammai(nlev_amma),q_ammai(nlev_amma))
+        allocate(u_ammai(nlev_amma))
+        allocate(v_ammai(nlev_amma))
+        allocate(vitw_ammai(nlev_amma) )
+        allocate(ht_ammai(nlev_amma))
+        allocate(hq_ammai(nlev_amma))
+        allocate(vt_ammai(nlev_amma))
+        allocate(vq_ammai(nlev_amma))
+
+!champs interpoles
+        allocate(vitw_profamma(nlev_amma))
+        allocate(ht_profamma(nlev_amma))
+        allocate(hq_profamma(nlev_amma))
+        allocate(vt_profamma(nlev_amma))
+        allocate(vq_profamma(nlev_amma))
+        allocate(th_profamma(nlev_amma))
+        allocate(q_profamma(nlev_amma))
+        allocate(u_profamma(nlev_amma))
+        allocate(v_profamma(nlev_amma))
+
+        print*,'Allocations OK'
+        call read_amma(nid,nlev_amma,nt_amma                                  &
+     &     ,z_amma,plev_amma,th_amma,q_amma,u_amma,v_amma,vitw_amma         &
+     &     ,ht_amma,hq_amma,sens_amma,lat_amma)
+
+END SUBROUTINE read_1D_cases
+
+
+
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+SUBROUTINE deallocate_1D_cases
+!profils initiaux:
+        deallocate(plev_amma)
+        
+        deallocate(z_amma)
+        deallocate(th_amma,q_amma)
+        deallocate(u_amma)
+        deallocate(v_amma)
+
+        deallocate(th_ammai,q_ammai)
+        deallocate(u_ammai)
+        deallocate(v_ammai)
+        deallocate(vitw_ammai )
+        deallocate(ht_ammai)
+        deallocate(hq_ammai)
+        deallocate(vt_ammai)
+        deallocate(vq_ammai)
+        
+!forcings
+        deallocate(ht_amma)
+        deallocate(hq_amma)
+        deallocate(vitw_amma)
+        deallocate(lat_amma,sens_amma)
+
+!champs interpoles
+        deallocate(vitw_profamma)
+        deallocate(ht_profamma)
+        deallocate(hq_profamma)
+        deallocate(vt_profamma)
+        deallocate(vq_profamma)
+        deallocate(th_profamma)
+        deallocate(q_profamma)
+        deallocate(u_profamma)
+        deallocate(v_profamma)
+END SUBROUTINE deallocate_1D_cases
+
+
+END MODULE mod_1D_amma_read
+!=====================================================================
+      subroutine read_amma(nid,nlevel,ntime                          &
+     &     ,zz,pp,temp,qv,u,v,dw                   &
+     &     ,dt,dq,sens,flat)
+
+!program reading forcings of the AMMA case study
+      implicit none
+#include "netcdf.inc"
+
+      integer ntime,nlevel
+
+      real zz(nlevel)
+      real temp(nlevel),pp(nlevel)
+      real qv(nlevel),u(nlevel)
+      real v(nlevel)
+      real dw(nlevel,ntime)
+      real dt(nlevel,ntime)
+      real dq(nlevel,ntime)
+      real flat(ntime),sens(ntime)
+
+
+      integer nid, ierr,rid
+      integer nbvar3d
+      parameter(nbvar3d=30)
+      integer var3didin(nbvar3d)
+
+       ierr=NF_INQ_VARID(nid,"zz",var3didin(1)) 
+         if(ierr/=NF_NOERR) then
+           write(*,*) NF_STRERROR(ierr)
+           stop 'lev'
+         endif
+
+
+      ierr=NF_INQ_VARID(nid,"temp",var3didin(2))
+         if(ierr/=NF_NOERR) then
+           write(*,*) NF_STRERROR(ierr)
+           stop 'temp'
+         endif
+
+      ierr=NF_INQ_VARID(nid,"qv",var3didin(3))
+         if(ierr/=NF_NOERR) then
+           write(*,*) NF_STRERROR(ierr)
+           stop 'qv'
+         endif
+
+      ierr=NF_INQ_VARID(nid,"u",var3didin(4))
+         if(ierr/=NF_NOERR) then
+           write(*,*) NF_STRERROR(ierr)
+           stop 'u'
+         endif
+
+      ierr=NF_INQ_VARID(nid,"v",var3didin(5))
+         if(ierr/=NF_NOERR) then
+           write(*,*) NF_STRERROR(ierr)
+           stop 'v'
+         endif
+
+      ierr=NF_INQ_VARID(nid,"dw",var3didin(6))
+         if(ierr/=NF_NOERR) then
+           write(*,*) NF_STRERROR(ierr)
+           stop 'dw'
+         endif
+
+      ierr=NF_INQ_VARID(nid,"dt",var3didin(7))
+         if(ierr/=NF_NOERR) then
+           write(*,*) NF_STRERROR(ierr)
+           stop 'dt'
+         endif
+
+      ierr=NF_INQ_VARID(nid,"dq",var3didin(8))
+         if(ierr/=NF_NOERR) then
+           write(*,*) NF_STRERROR(ierr)
+           stop 'dq'
+         endif
+      
+      ierr=NF_INQ_VARID(nid,"sens",var3didin(9))
+         if(ierr/=NF_NOERR) then
+           write(*,*) NF_STRERROR(ierr)
+           stop 'sens'
+         endif
+
+      ierr=NF_INQ_VARID(nid,"flat",var3didin(10))
+         if(ierr/=NF_NOERR) then
+           write(*,*) NF_STRERROR(ierr)
+           stop 'flat'
+         endif
+
+      ierr=NF_INQ_VARID(nid,"pp",var3didin(11))
+         if(ierr/=NF_NOERR) then
+           write(*,*) NF_STRERROR(ierr)
+      endif
+
+!dimensions lecture
+!      call catchaxis(nid,ntime,nlevel,time,z,ierr)
+ 
+#ifdef NC_DOUBLE
+         ierr = NF_GET_VAR_DOUBLE(nid,var3didin(1),zz)
+#else
+         ierr = NF_GET_VAR_REAL(nid,var3didin(1),zz)
+#endif
+         if(ierr/=NF_NOERR) then
+            write(*,*) NF_STRERROR(ierr)
+            stop "getvarup"
+         endif
+!          write(*,*)'lecture z ok',zz
+
+#ifdef NC_DOUBLE
+         ierr = NF_GET_VAR_DOUBLE(nid,var3didin(2),temp)
+#else
+         ierr = NF_GET_VAR_REAL(nid,var3didin(2),temp)
+#endif
+         if(ierr/=NF_NOERR) then
+            write(*,*) NF_STRERROR(ierr)
+            stop "getvarup"
+         endif
+!          write(*,*)'lecture th ok',temp
+
+#ifdef NC_DOUBLE
+         ierr = NF_GET_VAR_DOUBLE(nid,var3didin(3),qv)
+#else
+         ierr = NF_GET_VAR_REAL(nid,var3didin(3),qv)
+#endif
+         if(ierr/=NF_NOERR) then
+            write(*,*) NF_STRERROR(ierr)
+            stop "getvarup"
+         endif
+!          write(*,*)'lecture qv ok',qv
+ 
+#ifdef NC_DOUBLE
+         ierr = NF_GET_VAR_DOUBLE(nid,var3didin(4),u)
+#else
+         ierr = NF_GET_VAR_REAL(nid,var3didin(4),u)
+#endif
+         if(ierr/=NF_NOERR) then
+            write(*,*) NF_STRERROR(ierr)
+            stop "getvarup"
+         endif
+!          write(*,*)'lecture u ok',u
+
+#ifdef NC_DOUBLE
+         ierr = NF_GET_VAR_DOUBLE(nid,var3didin(5),v)
+#else
+         ierr = NF_GET_VAR_REAL(nid,var3didin(5),v)
+#endif
+         if(ierr/=NF_NOERR) then
+            write(*,*) NF_STRERROR(ierr)
+            stop "getvarup"
+         endif
+!          write(*,*)'lecture v ok',v
+
+#ifdef NC_DOUBLE
+         ierr = NF_GET_VAR_DOUBLE(nid,var3didin(6),dw)
+#else
+         ierr = NF_GET_VAR_REAL(nid,var3didin(6),dw)
+#endif
+         if(ierr/=NF_NOERR) then
+            write(*,*) NF_STRERROR(ierr)
+            stop "getvarup"
+         endif
+!          write(*,*)'lecture w ok',dw
+
+#ifdef NC_DOUBLE
+         ierr = NF_GET_VAR_DOUBLE(nid,var3didin(7),dt)
+#else
+         ierr = NF_GET_VAR_REAL(nid,var3didin(7),dt)
+#endif
+         if(ierr/=NF_NOERR) then
+            write(*,*) NF_STRERROR(ierr)
+            stop "getvarup"
+         endif
+!          write(*,*)'lecture dt ok',dt
+
+#ifdef NC_DOUBLE
+         ierr = NF_GET_VAR_DOUBLE(nid,var3didin(8),dq)
+#else
+         ierr = NF_GET_VAR_REAL(nid,var3didin(8),dq)
+#endif
+         if(ierr/=NF_NOERR) then
+            write(*,*) NF_STRERROR(ierr)
+            stop "getvarup"
+         endif
+!          write(*,*)'lecture dq ok',dq
+
+#ifdef NC_DOUBLE
+         ierr = NF_GET_VAR_DOUBLE(nid,var3didin(9),sens)
+#else
+         ierr = NF_GET_VAR_REAL(nid,var3didin(9),sens)
+#endif
+         if(ierr/=NF_NOERR) then
+            write(*,*) NF_STRERROR(ierr)
+            stop "getvarup"
+         endif
+!          write(*,*)'lecture sens ok',sens
+
+#ifdef NC_DOUBLE
+         ierr = NF_GET_VAR_DOUBLE(nid,var3didin(10),flat)
+#else
+         ierr = NF_GET_VAR_REAL(nid,var3didin(10),flat)
+#endif
+         if(ierr/=NF_NOERR) then
+            write(*,*) NF_STRERROR(ierr)
+            stop "getvarup"
+         endif
+!          write(*,*)'lecture flat ok',flat
+
+#ifdef NC_DOUBLE
+         ierr = NF_GET_VAR_DOUBLE(nid,var3didin(11),pp)
+#else
+         ierr = NF_GET_VAR_REAL(nid,var3didin(11),pp)
+#endif
+         if(ierr/=NF_NOERR) then
+            write(*,*) NF_STRERROR(ierr)
+            stop "getvarup"
+         endif
+!          write(*,*)'lecture pp ok',pp
+
+         return 
+         end subroutine read_amma
+!======================================================================
+        SUBROUTINE interp_amma_time(day,day1,annee_ref                     &
+     &         ,year_ini_amma,day_ini_amma,nt_amma,dt_amma,nlev_amma       &
+     &         ,vitw_amma,ht_amma,hq_amma,lat_amma,sens_amma               &
+     &         ,vitw_prof,ht_prof,hq_prof,lat_prof,sens_prof)
+        implicit none
+
+!---------------------------------------------------------------------------------------
+! Time interpolation of a 2D field to the timestep corresponding to day
+!
+! day: current julian day (e.g. 717538.2)
+! day1: first day of the simulation
+! nt_amma: total nb of data in the forcing (e.g. 48 for AMMA)
+! dt_amma: total time interval (in sec) between 2 forcing data (e.g. 30min for AMMA)
+!---------------------------------------------------------------------------------------
+
+#include "compar1d.h"
+
+! inputs:
+        integer annee_ref
+        integer nt_amma,nlev_amma
+        integer year_ini_amma
+        real day, day1,day_ini_amma,dt_amma
+        real vitw_amma(nlev_amma,nt_amma)
+        real ht_amma(nlev_amma,nt_amma)
+        real hq_amma(nlev_amma,nt_amma)
+        real lat_amma(nt_amma)
+        real sens_amma(nt_amma)
+! outputs:
+        real vitw_prof(nlev_amma)
+        real ht_prof(nlev_amma)
+        real hq_prof(nlev_amma)
+        real lat_prof,sens_prof
+! local:
+        integer it_amma1, it_amma2,k
+        real timeit,time_amma1,time_amma2,frac
+
+
+        if (forcing_type.eq.6) then
+! Check that initial day of the simulation consistent with AMMA case:
+       if (annee_ref.ne.2006) then
+        print*,'Pour AMMA, annee_ref doit etre 2006'
+        print*,'Changer annee_ref dans run.def'
+        stop
+       endif
+       if (annee_ref.eq.2006 .and. day1.lt.day_ini_amma) then
+        print*,'AMMA a débuté le 10 juillet 2006',day1,day_ini_amma
+        print*,'Changer dayref dans run.def'
+        stop
+       endif
+       if (annee_ref.eq.2006 .and. day1.gt.day_ini_amma+1) then
+        print*,'AMMA a fini le 11 juillet'
+        print*,'Changer dayref ou nday dans run.def'
+        stop
+       endif
+       endif
+
+! Determine timestep relative to the 1st day of AMMA:
+!       timeit=(day-day1)*86400.
+!       if (annee_ref.eq.1992) then
+!        timeit=(day-day_ini_toga)*86400.
+!       else
+!        timeit=(day+61.-1.)*86400. ! 61 days between Nov01 and Dec31 1992
+!       endif
+      timeit=(day-day_ini_amma)*86400
+
+! Determine the closest observation times:
+!       it_amma1=INT(timeit/dt_amma)+1
+!       it_amma2=it_amma1 + 1
+!       time_amma1=(it_amma1-1)*dt_amma
+!       time_amma2=(it_amma2-1)*dt_amma
+
+       it_amma1=INT(timeit/dt_amma)+1
+       IF (it_amma1 .EQ. nt_amma) THEN
+       it_amma2=it_amma1 
+       ELSE
+       it_amma2=it_amma1 + 1
+       ENDIF
+       time_amma1=(it_amma1-1)*dt_amma
+       time_amma2=(it_amma2-1)*dt_amma
+
+       if (it_amma1 .gt. nt_amma) then
+        write(*,*) 'PB-stop: day, it_amma1, it_amma2, timeit: '            &
+     &        ,day,day_ini_amma,it_amma1,it_amma2,timeit/86400.
+        stop
+       endif
+
+! time interpolation:
+       frac=(time_amma2-timeit)/(time_amma2-time_amma1)
+       frac=max(frac,0.0)
+
+       lat_prof = lat_amma(it_amma2)                                       &
+     &          -frac*(lat_amma(it_amma2)-lat_amma(it_amma1)) 
+       sens_prof = sens_amma(it_amma2)                                     &
+     &          -frac*(sens_amma(it_amma2)-sens_amma(it_amma1))
+
+       do k=1,nlev_amma
+        vitw_prof(k) = vitw_amma(k,it_amma2)                               &
+     &          -frac*(vitw_amma(k,it_amma2)-vitw_amma(k,it_amma1))
+        ht_prof(k) = ht_amma(k,it_amma2)                                   &
+     &          -frac*(ht_amma(k,it_amma2)-ht_amma(k,it_amma1))
+        hq_prof(k) = hq_amma(k,it_amma2)                                   &
+     &          -frac*(hq_amma(k,it_amma2)-hq_amma(k,it_amma1))
+        enddo
+
+        return
+        END
+
